Bug 1174321 - Add version to sapconf output
Summary: Add version to sapconf output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sapconf
Version: 6.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 6.7
Assignee: Jan Grulich
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1018941 1209644
TreeView+ depends on / blocked
 
Reported: 2014-12-15 16:01 UTC by Frank Danapfel
Modified: 2015-07-22 06:39 UTC (History)
6 users (show)

Fixed In Version: sapconf-0.98-5.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1205269 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:39:07 UTC


Attachments (Terms of Use)
Example patch for implementing version output (552 bytes, patch)
2014-12-15 16:01 UTC, Frank Danapfel
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1329 normal SHIPPED_LIVE sapconf bug fix and enhancement update 2015-07-20 18:00:14 UTC

Description Frank Danapfel 2014-12-15 16:01:38 UTC
Created attachment 969123 [details]
Example patch for implementing version output

Description of problem:
Currently the sapconf output does not contain any information about the version of the script, which can make it difficult in support cases if the customer is using the latest version.

Version-Release number of selected component (if applicable):
sapconf-0.98-4.el6_6.noarch

How reproducible:
always

Steps to Reproduce:
1. run sapconf
2.
3.

Actual results:
[root]# ./sapconf -n
######        sapconf by Red Hat          ######
###### Checking System for SAP Installation    ######

Expected results:
[root]# ./sapconf -n
######        sapconf-0.98-4 by Red Hat          ######
###### Checking System for SAP Installation    ######


Additional info:

Comment 2 Jan Grulich 2015-02-11 14:55:38 UTC
Fixed in sapconf-0.98-5.el6.

Comment 5 errata-xmlrpc 2015-07-22 06:39:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1329.html


Note You need to log in before you can comment on or make changes to this bug.